Get
/api/v1/livechat/visitors.autocomplete
Search for visitors by name.
Permission required: view-l-room
Changelog
| Version | Description |
|---|---|
| 9.0.0 | Removed the conditions field from the selector parameter. |
| 8.8.0 | Deprecated the conditions field in the selector parameter. |
Header parameters
X-Auth-Token
stringRequired
The authToken of the authenticated user.
ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-Id
stringRequired
The userId of the authenticated user.
ExamplerbAXPnMktTFbNpwtJ
Query parameters
selector
stringRequired
A JSON string containing the search term and an optional array of visitor IDs to exclude in exceptions.
Example{"exceptions":[],"term":"Jane"}
Responses
200
OK
Success Example
{
"items": [
{
"_id": "6400be90fa0ed7dd90509300",
"username": "guest-5",
"name": "Jane",
"custom_name": "guest-5 - An agent"
}
],
"success": true
}object
items
Array of object
object
_id
string
username
string
name
string
custom_name
string
success
boolean
400
Bad Request
Example 1
{
"success": false,
"error": "must have required property 'selector' [error-invalid-params]",
"errorType": "error-invalid-params"
}object
success
boolean
error
string
errorType
string
401
Unauthorized
Authorization Error
{
"success": false,
"error": "You must be logged in to do this."
}object
success
boolean
error
string